#pragma once
#include "JObject_NetSDK.h"
NS_NETSDK_CFG_BEGIN

#define JK_CombEncodeInfo "CombEncodeInfo" 
class CombEncodeInfo : public JObject
{
public:
	JIntHex			CompressionMask;		///< 掩码
	JBoolObj		Enable;					///< 使能项
	JBoolObj		HaveAudio;				///< 是否支持音频
	JIntHex			ResolutionMask;			///< 掩码
	JStrObj			StreamType;				///< 码流类型

public:
	CombEncodeInfo(JObject *pParent = NULL, const char *szName = JK_CombEncodeInfo):
	JObject(pParent,szName),
	CompressionMask(this, "CompressionMask"),
	Enable(this, "Enable"),
	HaveAudio(this, "HaveAudio"),
	ResolutionMask(this, "ResolutionMask"),
	StreamType(this, "StreamType"){
	};

	~CombEncodeInfo(void){};
};

NS_NETSDK_CFG_END